| openPilotLog

Public Types | Static Public Member Functions | List of all members
AStandardPaths Class Reference

The AStandardAppPaths class encapsulates a static QHash holding the standard paths of the application. More...

`#include <astandardpaths.h>`

## Public Types
enum | Directories { Database , Templates , Backup , Log , JSON }

## Static Public Member Functions
static bool | setup ()
| Creates and verifies a static map of the standard paths used in the app.
static const QDir & | directory (Directories location)
| Returns the QDir for the standard directory referenced by the Directories enum 'loc'.
static const QString | asChildOfDir (Directories location, const QString &filename)
| Returns a string of the absolute path to directory location concatenated with filename.
static const QHash< Directories, QDir > & | allDirectories ()
| returns the static map of all standard directories More...

## Detailed Description

The AStandardAppPaths class encapsulates a static QHash holding the standard paths of the application.

## Member Function Documentation

## ◆ allDirectories()

const QHash< AStandardPaths::Directories, QDir > & AStandardPaths::allDirectories | ( |  | ) |
| static

returns the static map of all standard directories

Returns
  static const QHash<Directories, QDir>

The documentation for this class was generated from the following files:

- src/classes/astandardpaths.h
- src/classes/astandardpaths.cpp